import { App } from 'vue';
import AnYiBpmnDesignerKunpeng from './AnYiBpmnDesignerKunpeng';
import AnYiBpmnDesignerKunpengSimple from './AnYiBpmnDesignerKunpengSimple';
import AnYiDmnDesigner from './AnYiDmnDesigner';
import './styles/bpmn-designer.less';
import './styles/diagram-js.css';
import './styles/dmn-designer.less';
import './styles/dmn-variable.less';
import './styles/font-icon.less';
import 'virtual:svg-icons-register';
import 'bpmn-js/dist/assets/diagram-js.css';
import 'bpmn-js/dist/assets/bpmn-font/css/bpmn.css';
import 'bpmn-js/dist/assets/bpmn-font/css/bpmn-codes.css';
import 'bpmn-js/dist/assets/bpmn-font/css/bpmn-embedded.css';
import 'bpmn-js/dist/assets/bpmn-js.css';
import 'anyi-bpmn-js-element-templates/dist/assets/element-templates.css';
import '@anyilanxin/properties-panel/assets/properties-panel.css';
import 'bpmn-js-token-simulation/assets/css/bpmn-js-token-simulation.css';
import 'diagram-js-minimap/assets/diagram-js-minimap.css';
import 'bpmn-js-bpmnlint/dist/assets/css/bpmn-js-bpmnlint.css';
import '@bpmn-io/element-template-chooser/dist/element-template-chooser.css';
import 'dmn-js/dist/assets/diagram-js.css';
import 'dmn-js/dist/assets/dmn-js-decision-table-controls.css';
import 'dmn-js/dist/assets/dmn-js-decision-table.css';
import 'dmn-js/dist/assets/dmn-js-drd.css';
import 'dmn-js/dist/assets/dmn-js-literal-expression.css';
import 'dmn-js/dist/assets/dmn-js-shared.css';
import 'dmn-js/dist/assets/dmn-font/css/dmn-codes.css';
import 'dmn-js/dist/assets/dmn-font/css/dmn-embedded.css';
import 'dmn-js/dist/assets/dmn-font/css/dmn.css';
import type { AnYiExtendValueModel, BpmnDiagramInfo, DmnDiagramInfo, ThirdDataComp, KunpengDeploymentModel, DmnDeploymentModel } from './types';
export type { AnYiExtendValueModel, BpmnDiagramInfo, DmnDiagramInfo, ThirdDataComp, KunpengDeploymentModel, DmnDeploymentModel, };
export { AnYiBpmnDesignerKunpeng, AnYiBpmnDesignerKunpengSimple, AnYiDmnDesigner, };
declare const Components: {
    install: (app: App) => void;
    AnYiBpmnDesignerKunpeng: any;
    AnYiBpmnDesignerKunpengSimple: any;
    AnYiDmnDesigner: any;
};
export default Components;
